%define	name	libmtp
%define	version	1.1.2
%define release %mkrel 1
%define major	9
%define	libname	%mklibname mtp %major
%define develname %mklibname -d mtp

Name:		%{name}
Summary:	Implementation of Microsoft's Media Transfer Protocol
Version:	%{version}
Release:	%{release}
Group:		System/Libraries
License:	LGPLv2+
URL:		http://libmtp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/libmtp/libmtp/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	libusb-devel doxygen

%description
libmtp is an implementation of Microsoft's Media Transfer Protocol (MTP)
in the form of a library suitable primarily for POSIX compliant 
operating systems. We implement MTP Basic, the stuff proposed for 
standardization. MTP Enhanced is for Windows only, if we implement 
it, well that depends...

It was initially based on (forked from) the great libptp2 library 
by Mariusz Woloszyn but has since been moved over to follow Marcus 
Meissners and Hubert Figuere's libgphoto2 fork of libptp2 (or is libptp2
 a fork of libgphoto?). The core implementation is identical to 
libgphoto2, there is just a different API adapted to portable media 
players.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname mtp 5
Obsoletes:	%mklibname mtp 0
Obsoletes:	%mklibname mtp 6
Requires:	%{name}-utils >= %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d mtp 5
Obsoletes:	%mklibname -d mtp 0

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package doc
Summary: Libmtp documentation
Group: Books/Computer books

%description doc
This package contains documentation of libmtp.

%package utils
Summary: Tools provided by libmtp
Group: System/Libraries
Requires: %{libname} = %{version}-%{release}
Provides: mtp-utils = %{version}-%{release}

%description utils
This package contains various tools provided by libmtp.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-doxygen \
	--with-udev-rules=60-libmtp.rules
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#-- FEDORA COPY
mkdir -p %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop
install -p -m 644 libmtp.fdi %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
#-- FEDORA COPY
# Replace links with relative links
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-delfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-getfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-newfolder
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-sendfile
rm -f $RPM_BUILD_ROOT%{_bindir}/mtp-sendtr
pushd $RPM_BUILD_ROOT%{_bindir}
ln -sf mtp-connect mtp-delfile
ln -sf mtp-connect mtp-getfile
ln -sf mtp-connect mtp-newfolder
ln -sf mtp-connect mtp-sendfile
ln -sf mtp-connect mtp-sendtr
popd

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}/html
mv -f %{buildroot}/%{_datadir}/doc/%{name}-%{version}/html/* %{buildroot}/%{_datadir}/doc/%{name}/html/

# don't ship .la
find %{buildroot} -name *.la | xargs rm -f

%clean 
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/libmtp.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

%files doc
%defattr(-,root,root)
%doc %{_datadir}/doc/%{name}/html

%files utils
%defattr(-,root,root)
/lib/udev/rules.d/*.rules
%config(noreplace) %{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libmtp.fdi
/lib/udev/mtp-probe
%{_bindir}/*


%changelog

* Sun Jan 22 2012 fwang <fwang> 1.1.2-1.mga2
+ Revision: 199401
- new version 1.1.2

* Sun Dec 04 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 175963
- drop old file
- new version 1.1.1

* Sun Jul 17 2011 fwang <fwang> 1.1.0-1.mga2
+ Revision: 125194
- new version 1.1.0

* Mon Apr 11 2011 ahmad <ahmad> 1.0.6-1.mga1
+ Revision: 83101
- configure with --with-udev-rules=60-libmtp.rules
- update to 1.0.6
- drop patch0 fixed upstream (Fedora)
- add --enable-doxygen to configure options

* Thu Mar 24 2011 boklm <boklm> 1.0.4-4.mga1
+ Revision: 76178
- rebuild for bug #497

* Thu Mar 17 2011 blino <blino> 1.0.4-3.mga1
+ Revision: 73308
- do not install udev rules twice, upstream Makefile already installs it

* Thu Mar 17 2011 dmorgan <dmorgan> 1.0.4-2.mga1
+ Revision: 72980
- Fix file list
- Specify the udev rule
- Use fedora spec file for  ( Replace links with relative links )
- Do not use program-prefix as mtp this will add mtp twice and break udev script

* Mon Jan 24 2011 ahmad <ahmad> 1.0.4-1.mga1
+ Revision: 35947
- update to 1.0.4
- drop 01-devices_small_fixes patch
- add patch to fix device OS descriptor probe code (Fedora)
- drop old/unneeded scriptlets
- don't ship .la

  + eandry <eandry>
    - imported package libmtp

